Skip to main content
GET
/
payment-batches
/
{paymentBatchId}
Retrieve a payment batch
curl --request GET \
  --url https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId} \
  --header 'Authorization: <api-key>'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "accountId": "string",
  "name": "string",
  "createdBy": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "type": "person"
  },
  "product": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string"
  },
  "status": "draft",
  "visible": true,
  "visibleAt": "2019-08-24T14:15:22Z",
  "confirmedBy": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "type": "person"
  },
  "confirmedAt": "2019-08-24T14:15:22Z",
  "passedMfaCheckAt": "2019-08-24T14:15:22Z",
  "riskCheckedAt": "2019-08-24T14:15:22Z",
  "ordersSentAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "alerts": [
    {
      "timestamp": "2019-08-24T14:15:22Z",
      "type": "Error",
      "code": "string",
      "message": "string"
    }
  ],
  "ordersSummary": {
    "numberOfOrders": 0,
    "uniqueCurrencyCodes": [
      "USD"
    ]
  },
  "input": {
    "format": "json",
    "status": "accepted",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

paymentBatchId
string<uuid>
required

The unique ID of the Payment Batch.

Maximum string length: 36

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

include
enum<string>
Available options:
alertErrors,
alertWarnings,
ordersSummary

Response

200 - application/json

OK

id
string<uuid>
required

The unique ID of the Payment Batch.

Maximum string length: 36
accountId
string
required

The ID of the account the Payment Batch belongs.

Maximum string length: 16
name
string | null
required

The name of the Payment Batch.

Maximum string length: 256
createdBy
object
required

The creator of the payment batch.

product
object
required
status
enum<string>
required

The status of the Payment Batch.

Available options:
draft,
validated,
confirmed,
started,
completed,
failed,
cancelled
visible
boolean | null
required

Whether the payment batch is visible to other API users

visibleAt
string<date-time> | null
required

Timestamp indicating when the payment batch was made visible. UTC.

confirmedBy
object
required

The initiator of the payment batch.

confirmedAt
string<date-time> | null
required

Timestamp indicating when the payment batch was confirmed. UTC.

passedMfaCheckAt
string<date-time> | null
required

Timestamp indicating when the payment batch passed MFA check. UTC.

riskCheckedAt
string<date-time> | null
required

Timestamp indicating when the payment batch was risk checked. UTC.

ordersSentAt
string<date-time> | null
required

Timestamp indicating when the orders were sent. UTC.

createdAt
string<date-time>
required

Timestamp indicating when the payment batch was created. UTC.

updatedAt
string<date-time>
required

Timestamp indicating when the payment batch was updated. UTC.

input
object
required
alerts
object[] | null
ordersSummary
object